Package com.castlabs.android.player

# Class MediaCodecInfo

java.lang.Object
com.castlabs.android.player.MediaCodecInfo

All Implemented Interfaces:
  `Parcelable`

public class MediaCodecInfo extends Object implements Parcelable
Container class holding the media codec name associated with the mimetype

Since:
  4.2.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `Parcelable.ClassLoaderCreator<T>, Parcelable.Creator<T>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `codecName`
  The name of the codec as registered in the system.
  `static final Parcelable.Creator<MediaCodecInfo>`
  `CREATOR`
  Creator for Parcelable implementation.
  `final String`
  `mimeType`
  The MIME type of the media codec.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediaCodecInfo(String mimeType, String codecName)`
  Creates the container class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `void`
  `writeToParcel(Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mimeType

    @NonNull public final String mimeType
    The MIME type of the media codec. This is typically a value from `MimeTypes`.

  - ### codecName

    @Nullable public final String codecName
    The name of the codec as registered in the system. This can be null if no specific codec is required.

  - ### CREATOR

    public static final Parcelable.Creator<MediaCodecInfo> CREATOR
    Creator for Parcelable implementation.

- ## Constructor Details

  - ### MediaCodecInfo

    public MediaCodecInfo(@NonNull String mimeType, @Nullable String codecName)
    Creates the container class. Mimetypes are values of `MimeTypes` e.g. `MimeTypes.VIDEO_H264`. Codec names are `String`s as registered in the system
    Parameters:
      `mimeType` - the mimetype
      `codecName` - the codec name

- ## Method Details

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `Parcelable`

  - ### writeToParcel

    public void writeToParcel(Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `Parcelable`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`